declare const _sfc_main: {
    name: string;
    components: undefined;
    directives: {
        ripple: import("vue").ObjectDirective<any, any>;
    };
    extends: import("vue").DefineComponent<{}, {}, any>;
    inheritAttrs: boolean;
    props: {
        datePickerMessage: {
            type: StringConstructor;
            default: undefined;
        };
        showOverlayValidatorMessage: {
            type: BooleanConstructor;
            default: boolean;
        };
        separateSameDate: {
            type: BooleanConstructor;
            default: undefined;
        };
        today: null;
    };
    emits: string[];
    navigationState: null;
    timePickerChange: boolean;
    scrollHandler: null;
    outsideClickListener: null;
    maskClickListener: null;
    resizeListener: null;
    matchMediaListener: null;
    overlay: null;
    input: null;
    mask: null;
    previousButton: null;
    nextButton: null;
    timePickerTimer: null;
    preventFocus: boolean;
    typeUpdate: boolean;
    data(): {
        d_id: any;
        currentMonth: null;
        currentYear: null;
        currentHour: null;
        currentMinute: null;
        currentSecond: null;
        pm: null;
        focused: boolean;
        overlayVisible: boolean;
        currentView: any;
        query: null;
        queryMatches: boolean;
    };
    computed: {
        viewDate(): any;
        inputFieldValue(): any;
        months(): any;
        weekDays(): any;
        ticksTo1970(): number;
        sundayIndex(): any;
        datePattern(): any;
        yearOptions(): any;
        monthPickerValues(): any;
        yearPickerValues(): {
            value: number;
            selectable: boolean;
        }[];
        formattedCurrentHour(): any;
        formattedCurrentMinute(): any;
        formattedCurrentSecond(): any;
        todayLabel(): any;
        clearLabel(): any;
        weekHeaderLabel(): any;
        monthNames(): any;
        attributeSelector(): string;
        switchViewButtonDisabled(): any;
        panelId(): any;
    };
    watch: {
        id: (newValue: any) => void;
        modelValue: {
            deep: boolean;
            handler(newValue: any): void;
        };
        showTime(): void;
        minDate(): void;
        maxDate(): void;
        months(): void;
        numberOfMonths(): void;
        responsiveOptions(): void;
        currentView(): void;
        view(newValue: any): void;
    };
    created(): void;
    mounted(): void;
    updated(): void;
    beforeUnmount(): void;
    methods: {
        isComparable(): any;
        isSelected(dateMeta: any): any;
        isMonthSelected(month: any): any;
        isYearSelected(year: any): any;
        isDateEquals(value: {
            getDate: () => any;
            getMonth: () => any;
            getFullYear: () => any;
        }, dateMeta: {
            day: any;
            month: any;
            year: any;
        }): boolean;
        isDateBetween(start: {
            getTime: () => number;
        }, end: {
            getTime: () => number;
        }, dateMeta: {
            year: number;
            month: number;
            day: number | undefined;
        }): boolean;
        getFirstDayOfMonthIndex(month: number, year: number): any;
        getDaysCountInMonth(month: number, year: number): number;
        getDaysCountInPrevMonth(month: any, year: any): number;
        getPreviousMonthAndYear(month: number, year: number): {
            month: number;
            year: number;
        };
        getNextMonthAndYear(month: number, year: number): {
            month: number;
            year: number;
        };
        daylightSavingAdjust(date: {
            setHours: (arg0: any) => void;
            getHours: () => number;
        }): {
            setHours: (arg0: any) => void;
            getHours: () => number;
        } | null;
        isToday(today: {
            getDate: () => any;
            getMonth: () => any;
            getFullYear: () => any;
        }, day: any, month: any, year: any): boolean;
        isSelectable(day: number, month: number, year: number, otherMonth: any): boolean;
        onOverlayEnter(el: HTMLElement): void;
        onOverlayEnterComplete(): void;
        onOverlayAfterLeave(el: HTMLElement): void;
        onOverlayLeave(): void;
        onPrevButtonClick(event: any): void;
        onNextButtonClick(event: any): void;
        navBackward(event: {
            preventDefault: () => void;
            shiftKey: any;
        }): void;
        navForward(event: {
            preventDefault: () => void;
            shiftKey: any;
        }): void;
        decrementYear(): void;
        decrementDecade(): void;
        incrementYear(): void;
        incrementDecade(): void;
        switchToMonthView(event: {
            preventDefault: () => void;
        }): void;
        switchToYearView(event: {
            preventDefault: () => void;
        }): void;
        isEnabled(): boolean;
        updateCurrentTimeMeta(date: {
            getHours: () => any;
            getMinutes: () => number;
            getSeconds: () => number;
        }): void;
        bindOutsideClickListener(): void;
        unbindOutsideClickListener(): void;
        bindScrollListener(): void;
        unbindScrollListener(): void;
        bindResizeListener(): void;
        unbindResizeListener(): void;
        bindMatchMediaListener(): void;
        unbindMatchMediaListener(): void;
        isOutsideClicked(event: {
            target: any;
        }): boolean;
        isNavIconClicked(event: {
            target: any;
        }): any;
        alignOverlay(): void;
        onButtonClick(): void;
        isDateDisabled(day: any, month: any, year: any): boolean;
        isDayDisabled(day: number | undefined, month: number, year: number): boolean;
        onMonthDropdownChange(value: string): void;
        onYearDropdownChange(value: string): void;
        onDateSelect(event: {
            currentTarget: {
                focus: () => void;
            };
        }, dateMeta: {
            selectable: any;
            otherMonth: any;
            month: any;
            year: any;
        }): void;
        selectDate(dateMeta: {
            year: number;
            month: number;
            day: number | undefined;
        }): void;
        updateModel(value: any): void;
        shouldSelectDate(): boolean;
        isSingleSelection(): boolean;
        isRangeSelection(): any;
        isMultipleSelection(): boolean;
        formatValue(value: string | any[]): any;
        formatDateTime(date: any): string | null;
        formatDate(date: {
            getDate: () => number | undefined;
            getDay: () => any;
            getFullYear: () => number;
            getMonth: () => number;
            getTime: () => string | number;
        }, format: string): string;
        formatTime(date: {
            getHours: () => number;
            getMinutes: () => any;
            getSeconds: () => any;
        }): string;
        onTodayButtonClick(event: {
            preventDefault: () => void;
        }): void;
        onClearButtonClick(event: {
            preventDefault: () => void;
        }): void;
        onTimePickerElementMouseDown(event: {
            preventDefault: () => void;
        }, type: any, direction: any): void;
        onTimePickerElementMouseUp(event: {
            preventDefault: () => void;
        }): void;
        onTimePickerElementMouseLeave(): void;
        repeat(event: any, interval: number, type: any, direction: number): void;
        convertTo24Hour(hours: number, pm: any): number;
        validateTime(hour: any, minute: number, second: number, pm: any): boolean;
        incrementHour(event: {
            preventDefault: () => void;
        }): void;
        decrementHour(event: {
            preventDefault: () => void;
        }): void;
        incrementMinute(event: {
            preventDefault: () => void;
        }): void;
        decrementMinute(event: {
            preventDefault: () => void;
        }): void;
        incrementSecond(event: {
            preventDefault: () => void;
        }): void;
        decrementSecond(event: {
            preventDefault: () => void;
        }): void;
        updateModelTime(): void;
        toggleAMPM(event: {
            preventDefault: () => void;
        }): void;
        clearTimePickerTimer(): void;
        onMonthSelect(event: any, index: any): void;
        onYearSelect(event: any, year: {
            value: any;
        }): void;
        enableModality(): void;
        disableModality(): void;
        destroyMask(): void;
        updateCurrentMetaData(): void;
        isValidSelection(value?: Date[] | Date): boolean;
        parseValue(text: {
            trim: () => {
                (): any;
                new (): any;
                length: number;
            };
            split: (arg0: string) => any;
        }): Date | {
            setHours: (arg0: any) => void;
            getHours: () => number;
        } | (Date | {
            setHours: (arg0: any) => void;
            getHours: () => number;
        } | null)[] | null | undefined;
        parseDateTime(text: string): Date | {
            setHours: (arg0: any) => void;
            getHours: () => number;
        } | null;
        populateTime(value: {
            setHours: (arg0: any) => void;
            setMinutes: (arg0: any) => void;
            setSeconds: (arg0: any) => void;
        }, timeString: any, ampm: any): void;
        parseTime(value: string): {
            hour: number;
            minute: number;
            second: number | null;
        };
        parseDate(value: string | null, format: string | null): {
            setHours: (arg0: any) => void;
            getHours: () => number;
        } | null;
        getWeekNumber(date: {
            getTime: () => string | number | Date;
        }): number;
        onDateCellKeydown(event: {
            currentTarget: any;
            code: any;
            preventDefault: () => void;
            altKey: any;
            shiftKey: any;
        }, date: any, groupIndex: any): void;
        navigateToMonth(event: any, prev: any, groupIndex: number): void;
        onMonthCellKeydown(event: {
            currentTarget: any;
            code: string;
            preventDefault: () => void;
            shiftKey: any;
        }, index: any): void;
        onYearCellKeydown(event: {
            currentTarget: any;
            code: string;
            preventDefault: () => void;
            shiftKey: any;
        }, index: any): void;
        updateFocus(): void;
        initFocusableCell(): void;
        trapFocus(event: {
            preventDefault: () => void;
            shiftKey: any;
        }): void;
        onContainerButtonKeydown(event: {
            code: any;
            preventDefault: () => void;
        }): void;
        onInput(event: {
            target: {
                value: any;
            };
        }): void;
        onInputClick(): void;
        onFocus(event: any): void;
        onBlur(event: {
            target: {
                value: any;
            };
        }): void;
        onKeyDown(event: {
            code: string;
            preventDefault: () => void;
            target: {
                value: string | null;
            };
        }): void;
        overlayRef(el: any): void;
        inputRef(el: any): void;
        previousButtonRef(el: any): void;
        nextButtonRef(el: any): void;
        getMonthName(index: string | number): any;
        getYear(month: {
            year: any;
        }): any;
        onOverlayClick(event: any): void;
        onOverlayKeyDown(event: {
            code: any;
        }): void;
        onOverlayMouseUp(event: any): void;
        createResponsiveStyle(): void;
        destroyResponsiveStyleElement(): void;
    };
};
export default _sfc_main;
